﻿' Licensed to the .NET Foundation under one or more agreements.
' The .NET Foundation licenses this file to you under the MIT license.
' See the LICENSE file in the project root for more information.

Namespace Microsoft.VisualStudio.LanguageServices.VisualBasic.Help
    Friend NotInheritable Class HelpKeywords

        Friend Const Assign As String = "vb.Assign"
        Friend Const QueryAggregate As String = "vb.QueryAggregate"
        Friend Const QueryAggregateIn As String = "vb.QueryAggregateIn"
        Friend Const QueryAggregateInto As String = "vb.QueryAggregateInto"
        Friend Const ModuleAttribute As String = "vb.ModuleAttribute"
        Friend Const AssemblyAttribute As String = "vb.AssemblyAttribute"
        Friend Const Attributes As String = "vb.Attributes"
        Friend Const Constructor As String = "vb.Constructor"
        Friend Const QueryDistinct As String = "vb.QueryDistinct"
        Friend Const EndDefinition As String = "vb.EndDefinition"
        Friend Const AddHandlerMethod As String = "vb.AddHandlerMethod"
        Friend Const RemoveHandlerMethod As String = "vb.RemoveHandlerMethod"
        Friend Const RaiseEventMethod As String = "vb.RaiseEventMethod"
        Friend Const ImplementsClause As String = "vb.ImplementsClause"
        Friend Const TypeInfer As String = "vb.TypeInfer"
        Friend Const ForEach As String = "vb.ForEach"
        Friend Const QueryFrom As String = "vb.QueryFrom"
        Friend Const QueryGroup As String = "vb.QueryGroup"
        Friend Const QueryGroupBy As String = "vb.QueryGroupBy"
        Friend Const QueryGroupByInto As String = "vb.QueryGroupByInto"
        Friend Const QueryGroupJoin As String = "vb.QueryGroupJoin"
        Friend Const QueryGroupJoinIn As String = "vb.QueryGroupJoinIn"
        Friend Const QueryGroupJoinOn As String = "vb.QueryGroupJoinOn"
        Friend Const QueryGroupJoinInto As String = "vb.QueryGroupJoinInto"
        Friend Const QueryGroupRef As String = "vb.QueryGroupRef"
        Friend Const IfOperator As String = "vb.IfOperator"
        Friend Const ImportsXmlns As String = "vb.ImportsXmlns"
        Friend Const QueryJoin As String = "vb.QueryJoin"
        Friend Const QueryJoinIn As String = "vb.QueryJoinIn"
        Friend Const QueryJoinOn As String = "vb.QueryJoinOn"
        Friend Const Colon As String = "vb.Colon"
        Friend Const LambdaFunction As String = "vb.LambdaFunction"
        Friend Const QueryLet As String = "vb.QueryLet"
        Friend Const PartialMethod As String = "vb.PartialMethod"
        Friend Const OnError As String = "vb.OnError"
        Friend Const OptionExplicit As String = "vb.OptionExplicit"
        Friend Const OptionStrict As String = "vb.OptionStrict"
        Friend Const OptionCompare As String = "vb.OptionCompare"
        Friend Const OptionInfer As String = "vb.OptionInfer"
        Friend Const QueryAscending As String = "vb.QueryAscending"
        Friend Const QueryDescending As String = "vb.QueryDescending"
        Friend Const QueryOrderBy As String = "vb.QueryOrderBy"
        Friend Const PreprocessorConst As String = "vb.#Const"
        Friend Const PreprocessorIf As String = "vb.#If"
        Friend Const Region As String = "vb.#Region"
        Friend Const [Redim] As String = "vb.Redim"
        Friend Const ClassConstraint As String = "vb.ClassConstraint"
        Friend Const QuerySelect As String = "vb.QuerySelect"
        Friend Const QuerySkip As String = "vb.QuerySkip"
        Friend Const QuerySkipWhile As String = "vb.QuerySkipWhile"
        Friend Const QueryTake As String = "vb.QueryTake"
        Friend Const QueryTakeWhile As String = "vb.QueryTakeWhile"
        Friend Const Negate As String = "vb.Negate"
        Friend Const StructureConstraint As String = "vb.StructureConstraint"
        Friend Const QueryWhere As String = "vb.QueryWhere"
        Friend Const XmlLiteralCdata As String = "vb.XmlLiteralCdata"
        Friend Const XmlLiteralComment As String = "vb.XmlLiteralComment"
        Friend Const XmlLiteralDocument As String = "vb.XmlLiteralDocument"
        Friend Const XmlLiteralElement As String = "vb.XmlLiteralElement"
        Friend Const XmlEmbeddedExpression As String = "vb.XmlEmbeddedExpression"
        Friend Const XmlLiteralProcessingInstruction As String = "vb.XmlLiteralProcessingInstruction"
        Friend Const NewConstraint As String = "vb.NewConstraint"
        Friend Const AnonymousKey As String = "vb.AnonymousKey"
        Friend Const AnonymousType As String = "vb.AnonymousType"
        Friend Const ObjectInitializer As String = "vb.ObjectInitializer"
        Friend Const ExtensionMethods As String = "vb.ExtensionMethods"
        Friend Const Nullable As String = "vb.Nullable"
        Friend Const AutoProperty As String = "vb.AutoImplementedProperty"
        Friend Const XmlDocComment As String = "vb.XmlDocComment"
        Friend Const [Rem] As String = "vb.Rem"
        Friend Const QueryFromIn As String = "vb.QueryFromIn"
        Friend Const QueryFromLet As String = "vb.QueryFromLet"
        Friend Const XmlPropertyChildAxis As String = "vb.XmlPropertyChildAxis"
        Friend Const XmlPropertyDescendantsAxis As String = "vb.XmlPropertyDescendantsAxis"
        Friend Const XmlPropertyAttributeAxis As String = "vb.XmlPropertyAttributeAxis"
        Friend Const XmlPropertyExtensionValue As String = "vb.XmlPropertyExtensionValue"
        Friend Const MyNamespaceKeyword As String = "vb.My"
        Friend Const CollectionInitializer As String = "vb.CollectionInitializer"
        Friend Const VarianceIn As String = "vb.VarianceIn"
        Friend Const VarianceOut As String = "vb.VarianceOut"
        Friend Const TaskListUserComments As String = "vbc0"
        Friend Const Main As String = "vb.Main"
        Friend Const Async As String = "vb.Async"
        Friend Const Iterator As String = "vb.Iterator"
        Friend Const Await As String = "vb.Await"
        Friend Const Yield As String = "vb.Yield"

    End Class

End Namespace
